import { GraphQLResolveInfo } from 'graphql';
import { LibraryOptions } from './types';
export declare const createCustomQueryRunner: (options: LibraryOptions) => ({ queryString, info, context, parent, bindVars, }: {
    queryString: string;
    bindVars?: {
        [name: string]: any;
    } | undefined;
    info: GraphQLResolveInfo;
    context: any;
    parent: any;
}) => Promise<any>;
export declare const runCustomQuery: ({ queryString, info, context, parent, bindVars, }: {
    queryString: string;
    bindVars?: {
        [name: string]: any;
    } | undefined;
    info: GraphQLResolveInfo;
    context: any;
    parent: any;
}) => Promise<any>;
