/**
 * Statement builders for AQL
 */
export declare const buildLimit: (count: string, skip?: string | undefined) => string;
export declare const buildFilter: (condition: string) => string;
export declare const buildSort: (property: string, order?: string, sortOn?: string) => string;
export declare const buildQueryModifiers: ({ limit, filter, sort, }: {
    limit?: {
        count: string;
        skip?: string | undefined;
    } | undefined;
    filter?: string | undefined;
    sort?: {
        property: string;
        order: string;
        sortOn?: string | undefined;
    } | undefined;
}) => string;
export declare const buildSubquery: (contents: string, returnsList: boolean) => string;
export declare const buildOptions: (options?: {
    bfs: boolean;
    uniqueVertices: string;
    uniqueEdges: string;
} | undefined) => string;
